%{?drupal7_find_provides_and_requires}

%global module addressfield
%global prerelease beta5

Name:    drupal7-%{module}
Version: 1.0
Release: 0.2.%{prerelease}%{?dist}
Summary: Address Field defines a new field type to store international postal addresses

Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{module}
Source0: http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}-%{prerelease}.tar.gz
Source1: %{name}-RPM-README.txt

BuildArch: noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
Address Field defines a new field type to store international postal addresses,
implementing a subset of the top-level address elements defined in the xNAL
standard

This package provides the following Drupal module(s):
* %{module}

%prep
%setup -qn %{module}
cp -p %{SOURCE1} .

# Remove executable bit
chmod a-x LICENSE.txt

%build
# Emtpy build section, nothing to build

%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/

%files
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt

%changelog
* Fri Jun 27 2014 Sam Wilson <sam.wilson@nextdc.com> - 1.0-0.2.beta5
- Updated to incorporate packaging guidance
* Tue May 20 2014 Sam Wilson <sam.wilson@nextdc.com> - 1.0-0.1.beta5
- Initial Package (release notes https://drupal.org/node/2151159)
